Tasks
Create a task
Create a new task assigned to the authenticated user.
POST
/
tasks
Create a task
curl --request POST \
--url https://api.seamless.ai/api/client/v2/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Follow up call",
"taskType": "call",
"contactId": 12345,
"dueAt": "2026-07-01T15:00:00Z",
"description": "Discuss renewal options.",
"priority": 1,
"templateId": 123
}
'import requests
url = "https://api.seamless.ai/api/client/v2/tasks"
payload = {
"name": "Follow up call",
"taskType": "call",
"contactId": 12345,
"dueAt": "2026-07-01T15:00:00Z",
"description": "Discuss renewal options.",
"priority": 1,
"templateId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Follow up call',
taskType: 'call',
contactId: 12345,
dueAt: '2026-07-01T15:00:00Z',
description: 'Discuss renewal options.',
priority: 1,
templateId: 123
})
};
fetch('https://api.seamless.ai/api/client/v2/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"taskId": "<string>",
"campaignId": "<string>",
"campaignStepId": "<string>",
"type": "email",
"name": "<string>",
"description": "<string>",
"status": "DRAFT",
"priority": 123,
"isAutomated": true,
"contactId": "<string>",
"contactName": "<string>",
"userIdAssignee": "<string>",
"templateId": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Task name.
Example:
"Follow up call"
The type of task.
Available options:
email, auto-email, manual-email, bulkEmail, call, linkedIn, linkedin-message, linkedin-connect-request, custom, default Example:
"call"
ID of the contact this task is for.
Example:
12345
When the task is due.
Example:
"2026-07-01T15:00:00Z"
Task description.
Example:
"Discuss renewal options."
Task priority (default 0).
Example:
1
ID of a template to associate with the task.
Was this page helpful?
⌘I
Create a task
